<?php
if (!defined('__TYPECHO_ROOT_DIR__')) {
    exit;
}
function threadedComments($comments, $options)
{
    ?>
<li id="<?php $comments->theId(); ?>" class="comments-body<?php
    if ($comments->authorId) echo ' admin-comment';
    $comments->levelsAlt(' odd', ' even');
    ?>">
    <div class="comment-meta clear">
        <a class="author_avatar"<?php echo empty($comments->url) ? '' : ' href="' . $comments->url . '"';
            echo empty($comments->author) ? '' : ' title="' . $comments->author . '"'; ?>><?php $comments->gravatar(48); //$singleCommentOptions->defaultAvatar); ?></a>
        <cite class="comment-name" id="commentauthor-<?php $comments->coid(); ?>">
            <?php $comments->author(); ?>
        </cite>
        <small class="comment-date">
            <?php $comments->date(); ?>
        </small>
        <ul class="comment-act">
            <?php if (!$comments->isTopLevel) { ?>
            <li class="comment-reply">
                <?php echo '<a href="' . substr($comments->permalink, 0, -strlen($comments->theId) - 1) . '?replyTo=' . $comments->coid . '#' . $comments->parameter->respondId . '" rel="nofollow" data-coid="' . $comments->coid . '">Relpy</a>'; ?>
            </li>
            <?php } ?>
        </ul>
    </div>
    <div class="comment-content">
        <?php $comments->content(); ?>
    </div>
    <?php if ($comments->children) {
    $options->before = '<ol class="comment-list children" data-parent="' . $comments->coid . '">';
    $comments->threadedComments($options);
} ?>
</li>
<?php }

; ?>
<section id="comments">
    <div id="comment_header" class="clear">
        <ul id="comment_header_left">
            <?php /* 原
      if($this->allow('comment')){ ?>
      <li id="add_comment"><a href="#respond">Write comment</a></li>
      <?php } ?>
      <li id="comment_feed"><a href="<?php $this->feedUrl(); ?>" title="Comments RSS">Comments RSS</a></li> */ ?>
            <li id="prev_post"><?php $this->thePrev('a'); ?></li>
            <li id="next_post"><?php $this->theNext('a'); ?></li>
        </ul>
        <ul id="comment_header_right">
            <li id="comment_switch" class="current"><a href="#comments">
                <?php $this->commentsNum('No Comments Yet', 'Just One Comment', ' %d Comments'); ?>
            </a></li>
        </ul>
    </div>
    <div id="comment_area">
        <?php $this->comments('comment')->to($comments);
        //var_dump($this->hidden);end;
        if ($comments->have() && !$this->hidden) {
            $comments->listComments(); ?>
            <nav class="pagenav clear"><?php $comments->pageNav(); ?></nav>
            <?php } else { ?>
            <ol class="no-comment">
                <li>
                    No comments yet.
                </li>
            </ol>
            <?php }; ?>
    </div>
    <?php /*
  <div id="trackback_area"> 
    <!-- start trackback -->
    <div id="trackback_url_wrapper">
      <label for="trackback_url">Trackback URL</label>
      <input type="text" name="trackback_url" id="trackback_url" size="60" value="Not Support yet!" readonly="readonly" onfocus="this.select()" />
    </div>
    <!-- trackback end --> 
  </div>
  <!-- #trackbacklist END --> */ ?>
    <?php if ($this->allow('comment') && !$this->hidden) { ?>
    <div id="respond" class="respond">
        <fieldset class="comment_form_wrapper anis">
            <legend>Reply:</legend>
            <div
                class="cancel_comment_reply"<?php $replyId = $this->request->filter('int')->replyTo; if (empty($replyId)) echo ' style="display:none"'; ?>>
                <a href="<?php $this->permalink(); ?>#" rel="nofollow nj">Click here to cancel reply.</a>
            </div>
            <form action="<?php $this->commentUrl(); ?>" method="post" class="commentform">
                <?php if ($this->user->hasLogin()) { ?>
                <div id="comment_user_login">
                    Logged in as <a href="<?php $this->options->profileUrl(); ?>">
                    <?php $this->user->screenName(); ?>
                </a>. <a href="<?php $this->options->logoutUrl(); ?>" title="Logout">Logout
                    &raquo;</a>
                </div>
                <?php } else { ?>
                <div id="guest_info">
                    <div id="guest_name">
                        <label for="author">NAME</label>
                        <input type="text" name="author" id="author"
                               value="<?php $tmp_author = $this->remember('author', true);
                                   echo empty($tmp_author) ? 'Anonymous' : $tmp_author; ?>" tabindex="1"
                               placeholder="Required" required="required"/>
                    </div>
                    <div id="guest_email">
                        <label for="email">E-MAIL</label>
                        <input type="email" name="mail" id="email" value="<?php $this->remember('mail'); ?>"
                               tabindex="2"<?php
                            echo $this->options->commentsRequireMail ? ' required="required" placeholder="Required"' : ''; ?>/>
                    </div>
                    <div id="guest_url">
                        <label for="url">URL</label>
                        <input type="url" name="url" id="url" tabindex="3"
                               value="<?php $this->remember('url'); ?>" <?php
                            echo $this->options->commentsRequireURL ? ' required="required" placeholder="Required"' : ''; ?>/>
                    </div>
                </div>
                <?php
            }
                /*div class="allowed_tag">
                          <pre>You can use the following tags in the comments:<br /><br />
                            <?php $this->options->commentsHTMLTagAllowed(); ?>
                          </pre>
                        </div*/?>
                <div id="comment_textarea">
                    <textarea name="text" class="comment" tabindex="4" placeholder="Don't add water!"
                              required="required"><?php $this->remember('text'); ?></textarea>
                </div>
                <div id="submit_comment_wrapper">
                    <input name="submit" type="submit" tabindex="5" value="Submit Comment" title="Submit Comment"
                           class="submit_comment ani"/>
                </div>
            </form>
        </fieldset>
    </div>
    <?php } else { ?>
    <div class="comment_closed" id="respond">
        <p>Sorry, but the comment has been closed!</p>
    </div>
    <?php } ?>
</section>