<?php

if (!defined('__TYPECHO_ROOT_DIR__')) {
    exit;
}
require('header.php');
?>
<article class="content is_<?php echo $this->_archiveType; ?>"<?php if ($ajax) {
    echo ' data-time="' . $ajax;
    echo '" data-title="';
    $this->archiveTitle('', '');
    if ($this->_currentPage > 1) {
        echo 'Page ' . $this->_currentPage;
    }
    echo '"';
    echo 'data-href="' . $_SERVER["REQUEST_URI"] . '"';
}
else {
    echo ' id="content"';
} ?>>
<section class="place"><h2>Search results for : <?php $this->archiveTitle('', '');
    if ($this->_currentPage > 1) {
        echo ' - Page ' . $this->_currentPage;
    } ?>
</h2><?php if (!$this->have()) { ?>
    <div class="entry">
        Sorry, but the content what you found wasn't here!
    </div>
    </section><?php } else { ?>
    </section><?php while ($this->next()) {
        require('inc/post.php');
    }
    if ($this->have()) {
        ?>
        <nav class="pagenav">
            <?php $this->pageNav(); ?>
        </nav>
        <?php }
} ?>
</article>
<?php if (!$ajax) {
    require('sidebar.php');
    require('footer.php');
} ?>
